CVE-2012-0884 Details

CVE-2012-0884

Published: 2012-03-13
Last Modified: 2018-01-10
CVE Author: NIST National Vulnerability Database
CVE Assigner: secalert@redhat.com
Summary

The implementation of Cryptographic Message Syntax (CMS) and PKCS #7 in OpenSSL before 0.9.8u and 1.x before 1.0.0h does not properly restrict certain oracle behavior, which makes it easier for context-dependent attackers to decrypt data via a Million Message Attack (MMA) adaptive chosen ciphertext attack.

Analysis
Common Vulnerability Score System v2.0
Severity Medium
Base Score 5/10
Exploit Score 10/10
Access Vector Network
Access Complexity Low
Authentication None
Impact Score 2.9/10
Confidentiality Impact Partial
Availability Impact None
Integrity Impact None
Vector String AV:N/AC:L/Au:N/C:P/I:N/A:N
Common Vulnerability Score System v3.1

NIST has not assigned a CVSSv3.1 Score.

Products Reported
CPE Vulnerable Start Excluding
cpe:2.3:a:openssl:openssl:1.0.0c:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:1.0.0b:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:1.0.0a:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8o:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8n:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8g:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8f:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.7l:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.7m:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.7d:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.7c:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.6k:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.6j:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.6:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:1.0.0e:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:1.0.0d:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8q:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8p:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8i:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8h:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8a:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.7h:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.7f:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.7e:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.6l:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.6m:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.6c:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.6b:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.3:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.2b:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:1.0.0g:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:1.0.0f:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8s:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8r:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8k:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8j:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8c:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8b:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.7i:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.7g:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.7:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.6h:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.6f:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.6e:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.6d:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.4:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.3a:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.6a:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.1c:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.1b:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:1.0.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:*:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8m:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8l:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8e:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.8d:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.7k:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.7j:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.7b:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.7a:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.6i:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.6g:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.5a:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.5:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:openssl:openssl:0.9.0b:*:*:*:*:*:*:* Yes - -
References

http://www.openssl.org/news/secadv_20120312.txt
http://marc.info/?l=bugtraq&m=134039053214295&w=2
http://lists.fedoraproject.org/pipermail/package-announce/2012-April/077086.html
https://hermes.opensuse.org/messages/14330767
http://secunia.com/advisories/48895
http://www.debian.org/security/2012/dsa-2454
http://secunia.com/advisories/48916
http://rhn.redhat.com/errata/RHSA-2012-1306.html
http://rhn.redhat.com/errata/RHSA-2012-1307.html
http://rhn.redhat.com/errata/RHSA-2012-1308.html
http://lists.fedoraproject.org/pipermail/package-announce/2012-April/077666.html
http://rhn.redhat.com/errata/RHSA-2012-0531.html
http://rhn.redhat.com/errata/RHSA-2012-0488.html
https://downloads.avaya.com/css/P8/documents/100162507
http://lists.fedoraproject.org/pipermail/package-announce/2012-November/092905.html
http://www.kb.cert.org/vuls/id/737740
http://secunia.com/advisories/57353
http://www-01.ibm.com/support/docview.wss?uid=ssg1S1004564
http://marc.info/?l=bugtraq&m=133951357207000&w=2
http://marc.info/?l=bugtraq&m=133728068926468&w=2
http://secunia.com/advisories/48580
http://lists.fedoraproject.org/pipermail/package-announce/2012-April/077221.html
http://rhn.redhat.com/errata/RHSA-2012-0426.html

CVE ID
CVE-2012-0884
Published
2012-03-13
Modified
2018-01-10
CVSSv2.0
Medium
PCI Compliance
Fail
US-CERT Alert
No
CWE
CWE-310

Free Vulnerability Scanning, Assessment and Management

Mageni's Platform is packed with all the features you need to scan, assess and manage vulnerabilities like this - it is free, open source, lightning fast, reliable and scalable.

Router
Servers
Laptop
Database
Group
Cloud

Frequently Asked Questions

No, you can scan concurrently as many assets as you want. Please note that you must be aware of the hardware requeriments of the platform to ensure a good performance.

No, you can add as many assest as you want. It doesn't matters if you have millions of assets, we won't charge you for that.

No. The software is completely free. We have no intention to charge you to use the software, in fact - it completely goes against our beliefs and business model.

A vulnerability is defined in the ISO 27002 standard as “A weakness of an asset or group of assets that can be exploited by one or more threats” (International Organization for Standardization, 2005)

We generate revenue by providing support and other services for customers that require a subscription so they get guaranteed support and enterprise services. To use Mageni's Platform is completely free, with no limits at all.

Yes. Mageni understands that there are professionals and businesses that need commercial support so Mageni provides an active support subscription with everything needed to run Mageni's Platform reliably and securely. More than software, it's access to security experts, knowledge resources, security updates, and support tools you can't get anywhere else. The subscription includes:

  • Ongoing delivery
    • Patches
    • Bug fixes
    • Updates
    • Upgrades
  • Technical support
    • 24/7 availability
    • Unlimited Incidents
    • Specialty-based routing
    • Multi-Channel
  • Commitments
    • Software certifications
    • Software assurance
    • SLA

No, we don't store the information of your vulnerabilities in our servers.

Vulnerability management is the process in which vulnerabilities in IT are identified and the risks of these vulnerabilities are evaluated. This evaluation leads to correcting the vulnerabilities and removing the risk or a formal risk acceptance by the management of an organization. The term vulnerability management is often confused with vulnerability scanning. Despite the fact both are related, there is an important difference between the two. Vulnerability scanning consists of using a computer program to identify vulnerabilities in networks, computer infrastructure or applications. Vulnerability management is the process surrounding vulnerability scanning, also taking into account other aspects such as risk acceptance, remediation etc. Source: "Implementing a Vulnerability Management Process". SANS Institute.

I am ready to start scanning for vulnerabilities